## ros-kinetic-rsm-additions 1.1.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rsm_additions)

add_compile_options(-std=c++11)

find_package(catkin REQUIRED COMPONENTS
  roscpp
  pluginlib
  actionlib
  actionlib_msgs
  rsm_core
  rsm_msgs
  visualization_msgs
  move_base_msgs
  std_msgs
  std_srvs
  geometry_msgs
  sensor_msgs
  tf
)

catkin_package(

)

include_directories(include
  ${catkin_INCLUDE_DIRS}
)

add_library(rsm_plugins
    src/CalculateGoalState.cpp
    src/NavigationState.cpp
    src/MappingDummyState.cpp
    src/KinectMappingState.cpp
    src/ReversingRoutineState.cpp)

add_executable(bootUpNode src/BootUpNode.cpp)
add_executable(additionsServiceProviderNode
	src/AdditionsServiceProviderNode.cpp
	src/AdditionsServiceProvider.cpp)

target_link_libraries(rsm_plugins
  ${catkin_LIBRARIES}
  )
target_link_libraries(bootUpNode
  ${catkin_LIBRARIES}
  )
  target_link_libraries(additionsServiceProviderNode
  ${catkin_LIBRARIES}
  )

add_dependencies(rsm_plugins ${catkin_EXPORTED_TARGETS})
add_dependencies(bootUpNode ${catkin_EXPORTED_TARGETS})
add_dependencies(additionsServiceProviderNode ${catkin_EXPORTED_TARGETS})

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})
  
install(TARGETS rsm_plugins
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

install(TARGETS additionsServiceProviderNode bootUpNode
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
  
install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch)
  
install(DIRECTORY config/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/config)
  
install(FILES
  rsm_plugins.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-kinetic-rsm-additions (1.1.3-1xenial) xenial; urgency=high

  * Added all dependencies to CMakeLists and package.xml, that were missing previously
  * Contributors: MarcoStb1993

 -- Marco Steinbrink <marco.stb1993@gmail.com>  Wed, 28 Aug 2019 22:00:00 -0000

ros-kinetic-rsm-additions (1.1.2-1xenial) xenial; urgency=high



 -- marco <marco.stb1993@gmail.com>  Tue, 27 Aug 2019 22:00:00 -0000

ros-kinetic-rsm-additions (1.1.1-1xenial) xenial; urgency=high

  * added changelogs
  * Fixed some dependencies for the new names
  * Changed package names, this time for real
  * Contributors: MarcoStb1993

 -- marco <marco.stb1993@gmail.com>  Sun, 04 Aug 2019 22:00:00 -0000

=== debian/control ===
Source: ros-kinetic-rsm-additions
Section: misc
Priority: extra
Maintainer: Marco Steinbrink <marco.stb1993@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-actionlib, ros-kinetic-actionlib-msgs, ros-kinetic-catkin, ros-kinetic-geometry-msgs, ros-kinetic-move-base-msgs, ros-kinetic-pluginlib, ros-kinetic-roscpp, ros-kinetic-rsm-core, ros-kinetic-rsm-msgs, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-std-srvs, ros-kinetic-tf, ros-kinetic-visualization-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-rsm-additions
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-actionlib, ros-kinetic-actionlib-msgs, ros-kinetic-geometry-msgs, ros-kinetic-move-base-msgs, ros-kinetic-pluginlib, ros-kinetic-roscpp, ros-kinetic-rsm-core, ros-kinetic-rsm-msgs, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-std-srvs, ros-kinetic-tf, ros-kinetic-visualization-msgs
Description: The rsm_additions package includes plugins for the Robot Statemachine and exemplary launch files

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-rsm-additions//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
